package require Tk

update idletasks

proc bgerror {message} {
    tk_messageBox -message "Background error: $message\n\n$::errorInfo"
}


wm title . "OpenGL Example"


#Add in a basic menu, because what program doesn't have a menu.
option add *tearOff 0
menu .menubar
. configure -menu .menubar
menu .menubar.file
.menubar add cascade -menu .menubar.file -label File
.menubar.file add command -label "Exit" -command {exit 0}


#We'll use a frame control to draw our OpenGL.
set display [frame .opengl -width 300 -height 200 -background white -takefocus 1]
pack $display -fill both -expand 1


#Just showing that we can add other OpenGL controls too.
set bar [label .results -text {Super Basic OpenGL Example}]
pack $bar -fill x


#Tell C where to put the OpenGL
SetRenderWindow [winfo id $display]

#Tell C when the window resizes
bind $display <Configure> {Resize %w %h}

